Subject: Re: [Detnet] Question on TSN over IP data plane

From: Balázs Varga A <[email-masked]>
Date: Fri, 10 Sep 2021 14:27:58 +0000

Hi Fan,

Yes, it has some history in DetNet discussions. There are many RFCs
dealing with encapsulating Ethernet in IP. They can be applied for
"TSN over IP" case:
1, Encapsulate TSN Streams in IP. RFCs already exist on this.
2, Forward the resulted IP Flows as DetNet IP flows (RFC8939).
3, At egress: Decapsulate the TSN Streams from IP.

Cheers
Bala'zs

From: detnet <[email-masked]> On Behalf Of Yangfan (IP Standard)
Sent: Thursday, August 26, 2021 1:08 PM
To: [email-masked]
Subject: [Detnet] Question on TSN over IP data plane

Hi DetNet,

Please excuse me to ask this dumb question in the following.
I found there are many compositions of TSN/IP/MPLS in DetNet data plane, but TSN over IP is missing. Could anyone kindly explain the reason, or maybe some history if there was?
The reason why I asked this question originates from a case when TSN LAN networks are considered to be connected by a WAN network. Based on the data planes provided by DetNet, it seems MPLS is the only solution for TSN interconnection. Is it the reason that IP itself couldn't provide the entire DetNet capabilities?
Do I miss anything else?

Thanks in advance.

Regard,
Fan

---

From: Jeff Koftinoff <[email-masked]>
Date: Fri, 10 Sep 2021 23:15:57 -0700

For TSN flows they typically have a presentation timestamp in the messages which is the time at which the final receiver deserializes the content.  In order to do this it assumes you have a common time clock domain and synchronization between the original TSN talker and the final TSN listener.   For IEEE Std. 1722-2016 based TSN streams, Annex J describes the IP encapsulation of the TSN stream.

Regards,
Jeff Koftinoff
On Sep 10, 2021, 7:28 AM -0700, Balázs Varga A <balazs.a.varga=[email-masked]>, wrote:
> “TSN over IP” case:
> Bala’zs
> The reason why I asked this question originates from a case when TSN LAN networks are considered to be connected by a WAN network. Based on the data planes provided by DetNet, it seems MPLS is the only solution for TSN interconnection. Is it the reason that IP itself couldn’t provide the entire DetNet capabilities?
> Do I miss anything else?
>
> Thanks in advance.
>
> Regard,
> Fan
> _______________________________________________
> detnet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/detnet

---

From: "Yangfan(Fan,IP Standards)" <[email-masked]>
Date: Tue, 28 Sep 2021 01:10:22 +0000

Hi Bala’zs and Jeff,

Thank you very much for providing the hints.

In a nutshell, TSN over IP can make use of the encapsulation format and IP protocol number defined/allocated in RFC3378<https://datatracker.ietf.org/doc/html/rfc3378>.  Network layer doesn’t provide self-description info but rely on local context to parse the encapsulated data.

I was thinking if we can have an informational RFC9023 to specify IP over TSN data plane, why not have another draft to specify TSN over IP? Could be short but make the completeness of DetNet data plane specifications.

Cheers,

Fan

From: Jeff Koftinoff [mailto:[email-masked]]
Sent: Saturday, September 11, 2021 2:16 PM
To: Yangfan (IP Standard) <[email-masked]>; [email-masked]; Balázs Varga A <balazs.a.varga=[email-masked]>
Subject: Re: [Detnet] Question on TSN over IP data plane

Regards,
Jeff Koftinoff
On Sep 10, 2021, 7:28 AM -0700, Balázs Varga A <balazs.a.varga=[email-masked]<mailto:balazs.a.varga=[email-masked]>>, wrote:

Hi Fan,

Cheers
Bala’zs

From: detnet <[email-masked]<mailto:[email-masked]>> On Behalf Of Yangfan (IP Standard)
Sent: Thursday, August 26, 2021 1:08 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [Detnet] Question on TSN over IP data plane

Hi DetNet,

Thanks in advance.

Regard,
Fan
_______________________________________________
detnet mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/detnet